From acca44d22a8577b46a7304f4a1bb90fec519f036 Mon Sep 17 00:00:00 2001
From: Jun Xiao <xiaojuntime@gmail.com>
Date: Mon, 23 Sep 2013 19:54:11 -0700
Subject: [PATCH 06/10] loop->events_user must be freed by dynarray_free()
 instead of free()

---
 libparistraceroute/libparistraceroute/pt_loop.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libparistraceroute/libparistraceroute/pt_loop.c b/libparistraceroute/libparistraceroute/pt_loop.c
index fd7be04..e0bfe93 100644
--- a/libparistraceroute/libparistraceroute/pt_loop.c
+++ b/libparistraceroute/libparistraceroute/pt_loop.c
@@ -208,7 +208,7 @@ ERR_MALLOC:
 void pt_loop_free(pt_loop_t * loop)
 {
     if (loop) {
-        if (loop->events_user)  free(loop->events_user);
+        if (loop->events_user)  dynarray_free(loop->events_user, event_free);
         if (loop->epoll_events) free(loop->epoll_events);
         network_free(loop->network);
         close(loop->sfd);
-- 
1.7.9.5

